# Pauses the scheduler job Endpoint: POST /internal/scheduler/jobs/{job-id}/job-pause Security: Bearer ## Path parameters: - `job-id` (string, required) Unique ID for a scheduler job ## Response 201 fields (application/json): - `jobId` (string) - `jobGroup` (string, required) - `jobName` (string, required) - `jobStatus` (string, required) Enum: "PAUSED", "RESUMED", "SCHEDULED", "SCHEDULED_STARTED", "EDITED_SCHEDULED" - `tenantId` (string, required) - `jobClassName` (string, required) - `cronExpression` (string, required) - `description` (string, required) - `repeatTime` (integer, required) - `cronJob` (boolean, required) - `priority` (integer) ## Response 400 fields (application/json): - `type` (string, required) Example: "https://docs.ripple.com/payments-direct/api-docs/error-codes/report-error-codes#RPT_1" - `errorCode` (string, required) Example: "RPT_1" - `title` (string, required) Example: "BAD_REQUEST" - `detail` (string) Example: "Required field missing" - `time` (string, required) The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) error timestamp. Example: "2018-04-06T20:33:35Z" ## Response 403 fields (application/json): - `type` (string, required) Example: "https://docs.ripple.com/payments-direct/api-docs/error-codes/report-error-codes#RPT_1" - `errorCode` (string, required) Example: "RPT_1" - `title` (string, required) Example: "BAD_REQUEST" - `detail` (string) Example: "Required field missing" - `time` (string, required) The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) error timestamp. Example: "2018-04-06T20:33:35Z" ## Response 404 fields (application/json): - `type` (string, required) Example: "https://docs.ripple.com/payments-direct/api-docs/error-codes/report-error-codes#RPT_1" - `errorCode` (string, required) Example: "RPT_1" - `title` (string, required) Example: "BAD_REQUEST" - `detail` (string) Example: "Required field missing" - `time` (string, required) The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) error timestamp. Example: "2018-04-06T20:33:35Z"